Bug 64492 - NRWT doesn't store the svn revision in full_results.json on chromium-win
: NRWT doesn't store the svn revision in full_results.json on chromium-win
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 64491
  Show dependency treegraph
 
Reported: 2011-07-13 16:36 PST by
Modified: 2011-07-14 15:07 PST (History)


Attachments
Patch (3.47 KB, patch)
2011-07-14 12:12 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff
Patch (8.69 KB, patch)
2011-07-14 14:19 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-07-13 16:36:39 PST
NRWT doesn't store the svn revision in full_results.json on chromium-win
Requested by abarth on #webkit.
------- Comment #1 From 2011-07-13 16:41:18 PST -------
I suspect that the output of "svn info" is different on windows.

If someone could post the output of svn info from their windows box (run inside a webkit checkout), that would be most helpful!
------- Comment #2 From 2011-07-13 16:41:51 PST -------
I think ChromiumWin uses win32 instead of CYGWIN, right?  That may be the difference.  We may not be prepared for whatever svn info looks like with windows svn.
------- Comment #3 From 2011-07-13 16:42:24 PST -------
Hmmm...we're able to get the revision number for incremental_results.json...wonder what we do differently there.
------- Comment #4 From 2011-07-13 16:43:50 PST -------
D:\src\WebKit-svn>svn --version
svn, version 1.6.6 (r40053)
   compiled Oct 19 2009, 09:36:48

Copyright (C) 2000-2009 CollabNet.
Subversion is open source software, see http://subversion.tigris.org/
This product includes software developed by CollabNet (http://www.Collab.Net/).

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
  - handles 'http' scheme
  - handles 'https' scheme
* ra_svn : Module for accessing a repository using the svn network protocol.
  - with Cyrus SASL authentication
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme
* ra_serf : Module for accessing a repository via WebDAV protocol using serf.
  - handles 'http' scheme
  - handles 'https' scheme


D:\src\WebKit-svn>svn info
Path: .
URL: http://svn.webkit.org/repository/webkit/trunk
Repository Root: http://svn.webkit.org/repository/webkit
Repository UUID: 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Revision: 82480
Node Kind: directory
Schedule: normal
Last Changed Author: mihaip@chromium.org
Last Changed Rev: 82480
Last Changed Date: 2011-03-30 11:50:19 -0700 (Wed, 30 Mar 2011)
------- Comment #5 From 2011-07-13 20:02:23 PST -------
Hmm... scm.default_scm().head_svn_revision() works fine on the (former) Windows EWS image on ec2.
------- Comment #6 From 2011-07-13 20:09:02 PST -------
To be clear, I believe this is the code which is failing on the cr-win bot:
http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/layout_tests/controllers/manager.py#L211
------- Comment #7 From 2011-07-13 21:13:48 PST -------
Added some logging in http://trac.webkit.org/changeset/90977.
------- Comment #8 From 2011-07-14 12:12:23 PST -------
Created an attachment (id=100839) [details]
Patch
------- Comment #9 From 2011-07-14 12:26:27 PST -------
(From update of attachment 100839 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=100839&action=review

> Tools/Scripts/webkitpy/layout_tests/port/base.py:607
> +        # Config webkit_base_dir() knows where the webkit root is, no other

This is a bit confusing. I'd s/Config webkit_base_dir()/self._config.webkit_base_dir()/ just to be more clear.
------- Comment #10 From 2011-07-14 12:32:10 PST -------
Committed r91023: <http://trac.webkit.org/changeset/91023>
------- Comment #11 From 2011-07-14 13:50:41 PST -------
This appears to have caused 15 python tests to fail on the bots.
------- Comment #12 From 2011-07-14 14:19:51 PST -------
Created an attachment (id=100861) [details]
Patch
------- Comment #13 From 2011-07-14 14:20:09 PST -------
I thought webkit-patch knew how to re-open bugs these days?  Maybe that patch never landed.
------- Comment #14 From 2011-07-14 14:21:35 PST -------
Committed r91028: <http://trac.webkit.org/changeset/91028>
------- Comment #15 From 2011-07-14 15:07:18 PST -------
(From update of attachment 100861 [details])
Clearing review and commit-queue flags since this patch was already landed.